=== modified file 'bzrlib/bundle/serializer/v08.py'
--- bzrlib/bundle/serializer/v08.py	2012-02-20 14:15:25 +0000
+++ bzrlib/bundle/serializer/v08.py	2012-01-24 16:19:04 +0000
@@ -287,15 +287,13 @@
 
         def finish_action(action, file_id, kind, meta_modified, text_modified,
                           old_path, new_path):
-            revision = new_tree.get_file_revision(file_id)
-            if revision != default_revision_id:
-                action.add_utf8_property('last-changed', revision)
+            entry = new_tree.root_inventory[file_id]
+            if entry.revision != default_revision_id:
+                action.add_utf8_property('last-changed', entry.revision)
             if meta_modified:
-                action.add_bool_property('executable',
-                    new_tree.is_executable(file_id))
+                action.add_bool_property('executable', entry.executable)
             if text_modified and kind == "symlink":
-                action.add_property('target',
-                    new_tree.get_symlink_target(file_id))
+                action.add_property('target', entry.symlink_target)
             if text_modified and kind == "file":
                 do_diff(file_id, old_path, new_path, action, force_binary)
             else:

=== modified file 'bzrlib/revisiontree.py'
--- bzrlib/revisiontree.py	2012-02-20 14:15:25 +0000
+++ bzrlib/revisiontree.py	2012-01-24 16:19:04 +0000
@@ -242,19 +242,6 @@
         annotations = annotator.annotate_flat(text_key)
         return [(key[-1], line) for key, line in annotations]
 
-    def __eq__(self, other):
-        if self is other:
-            return True
-        if isinstance(other, InventoryRevisionTree):
-            return (self.root_inventory == other.root_inventory)
-        return False
-
-    def __ne__(self, other):
-        return not (self == other)
-
-    def __hash__(self):
-        raise ValueError('not hashable')
-
 
 class InterCHKRevisionTree(tree.InterTree):
     """Fast path optimiser for RevisionTrees with CHK inventories."""

=== modified file 'bzrlib/tests/per_interrepository/test_fetch.py'
--- bzrlib/tests/per_interrepository/test_fetch.py	2012-02-20 14:15:25 +0000
+++ bzrlib/tests/per_interrepository/test_fetch.py	2012-01-24 16:19:04 +0000
@@ -383,8 +383,10 @@
         (stacked_left_tree,
          stacked_right_tree) = new_stacked_branch.repository.revision_trees(
             ['left', 'right'])
-        self.assertEqual(left_tree, stacked_left_tree)
-        self.assertEqual(right_tree, stacked_right_tree)
+        self.assertEqual(left_tree.root_inventory,
+                stacked_left_tree.root_inventory)
+        self.assertEqual(right_tree.root_inventory,
+                stacked_right_tree.root_inventory)
         # Finally, it's not enough to see that the basis inventories are
         # present.  The texts introduced in merge (and only those) should be
         # present, and also generating a stream should succeed without blowing

